Qwt User's Guide: QwtScaleMap Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtScaleMap Class Reference

Collaboration diagram for QwtScaleMap:

[legend]
List of all members.

## Detailed Description

A scale map.

QwtScaleMap offers transformations from a scale into a paint interval and vice versa.

Definition at line 55 of file qwt_scale_map.h.

## Public Member Functions
| QwtScaleMap ()
| QwtScaleMap (const QwtScaleMap &)
| ~QwtScaleMap ()
QwtScaleMap & | operator= (const QwtScaleMap &)
void | setTransformation (QwtScaleTransformation *)
const QwtScaleTransformation * | transformation () const
void | setPaintInterval (int p1, int p2)
void | setPaintXInterval (double p1, double p2)
void | setScaleInterval (double s1, double s2)
int | transform (double x) const
double | invTransform (double i) const
double | xTransform (double x) const
double | p1 () const
double | p2 () const
double | s1 () const
double | s2 () const
double | pDist () const
double | sDist () const
## Public Attributes
QT_STATIC_CONST double | LogMin = 1.0e-150
QT_STATIC_CONST double | LogMax = 1.0e150

## Constructor & Destructor Documentation

QwtScaleMap::QwtScaleMap | ( |  | ) |

| Constructor. The scale and paint device intervals are both set to [0,1]. Definition at line 84 of file qwt_scale_map.cpp.

QwtScaleMap::~QwtScaleMap | ( |  | ) |

| Destructor Definition at line 108 of file qwt_scale_map.cpp.

## Member Function Documentation

double QwtScaleMap::invTransform | ( | double | i | ) | const`[inline]`

| Transform an paint device value into a value in the interval of the scale. Definition at line 163 of file qwt_scale_map.h. References QwtScaleTransformation::invXForm(). Referenced by QwtPainter::drawColorBar(), QwtPlotPicker::invTransform(), and QwtPlotItem::invTransform().

double QwtScaleMap::p1 | ( |  | ) | const`[inline]`

| Returns: First border of the paint interval Definition at line 119 of file qwt_scale_map.h. Referenced by QwtPlotItem::paintRect(), and QwtPlotSpectrogram::renderImage().

double QwtScaleMap::p2 | ( |  | ) | const`[inline]`

| Returns: Second border of the paint interval Definition at line 127 of file qwt_scale_map.h. Referenced by QwtPlotSpectrogram::renderImage().

double QwtScaleMap::s1 | ( |  | ) | const`[inline]`

| Returns: First border of the scale interval Definition at line 103 of file qwt_scale_map.h. Referenced by QwtPlotSpectrogram::renderImage(), and QwtPlotItem::scaleRect().

double QwtScaleMap::s2 | ( |  | ) | const`[inline]`

| Returns: Second border of the scale interval Definition at line 111 of file qwt_scale_map.h. Referenced by QwtPlotSpectrogram::renderImage().

void QwtScaleMap::setPaintInterval | ( | int | p1,
|  | int | p2
| ) |

  | Specify the borders of the paint device interval. Parameters:
  | p1 | first border
  | p2 | second border
Definition at line 180 of file qwt_scale_map.cpp. References QwtScaleTransformation::type(). Referenced by QwtPlot::canvasMap(), QwtPainter::drawColorBar(), QwtRoundScaleDraw::QwtRoundScaleDraw(), QwtPlotSpectrogram::renderImage(), QwtRoundScaleDraw::setAngleRange(), and QwtPlotSvgItem::viewBox().

void QwtScaleMap::setPaintXInterval | ( | double | p1,
|  | double | p2
| ) |

  | Specify the borders of the paint device interval. Parameters:
  | p1 | first border
  | p2 | second border
Definition at line 194 of file qwt_scale_map.cpp. References QwtScaleTransformation::type().

void QwtScaleMap::setScaleInterval | ( | double | s1,
|  | double | s2
| ) |

  | Specify the borders of the scale interval. Parameters:
  | s1 | first border
  | s2 | second border
Warning: logarithmic scales might be aligned to [LogMin, LogMax] Definition at line 153 of file qwt_scale_map.cpp. References LogMax, LogMin, and QwtScaleTransformation::type(). Referenced by QwtPlot::canvasMap(), QwtPlotSpectrogram::renderImage(), setTransformation(), and QwtPlotSvgItem::viewBox().

void QwtScaleMap::setTransformation | ( | QwtScaleTransformation * | transformation | ) |

| Initialize the map with a transformation Definition at line 130 of file qwt_scale_map.cpp. References setScaleInterval(), and transformation(). Referenced by QwtPlot::canvasMap().

int QwtScaleMap::transform | ( | double | s | ) | const`[inline]`

| Transform a point related to the scale interval into an point related to the interval of the paint device and round it to an integer. (In Qt <= 3.x paint devices are integer based. ) See also: QwtScaleMap::xTransform Definition at line 175 of file qwt_scale_map.h. References xTransform(). Referenced by QwtPlotCurve::closePolyline(), QwtPlotMarker::draw(), QwtPlotSpectrogram::drawContourLines(), QwtPlotCurve::drawDots(), QwtRoundScaleDraw::drawLabel(), QwtPlotCurve::drawSteps(), QwtPlotCurve::drawSticks(), QwtPlotCurve::drawSymbols(), QwtRoundScaleDraw::drawTick(), QwtRoundScaleDraw::extent(), QwtScaleDraw::labelPosition(), QwtPlotPanner::moveCanvas(), QwtPlotPicker::transform(), and QwtPlotItem::transform().

const QwtScaleTransformation * QwtScaleMap::transformation | ( |  | ) | const

| Get the transformation. Definition at line 142 of file qwt_scale_map.cpp. Referenced by QwtScaleWidget::setScaleDiv(), and setTransformation().

double QwtScaleMap::xTransform | ( | double | s | ) | const`[inline]`

| Transform a point related to the scale interval into an point related to the interval of the paint device Definition at line 146 of file qwt_scale_map.h. References QwtScaleTransformation::type(), and QwtScaleTransformation::xForm(). Referenced by QwtPlotCurve::closestPoint(), QwtPlotCurve::drawLines(), transform(), and QwtPlotSvgItem::viewBox().